---
tertiary:
  - name: "Usability improvements"
    available_in: [core, premium, ultimate]
    ux_improvements_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues?scope=all&utf8=%E2%9C%93&state=closed&label_name%5B%5D=SUS::Impacting&milestone_title=15.7' # closed Issues filtered by the given milestone and the label ~SUS::Impacting
    reporter: multiple
    description: |
      In every release, we make great strides in improving the overall effectiveness and usefulness of our product.

      We also have a [UI Polish Gallery](https://papercuts.gitlab.com/) to track important updates to our interfaces. These updates, while often small, improve your user experience.

      In GitLab 15.7, we're shipping usability improvements for issues, projects, milestones, and much more! We highlight the following changes in GitLab 15.7:

      - [Admin view instance-level environment variable has an extra **Environment scope** text box](https://gitlab.com/gitlab-org/gitlab/-/issues/369050)
      - [Add an audit event for group SAML `extern_uid` updates](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/104791)
      - [Create a toggle to monitor visibility settings](https://gitlab.com/gitlab-org/gitlab/-/issues/361585)
      - [The npm registry now supports npm audit](https://gitlab.com/gitlab-org/gitlab/-/issues/227756)
      - [Don't display details for packages not in the default status](https://gitlab.com/gitlab-org/gitlab/-/issues/344257)
      - [Remove the `repository importing` error from the container registry](https://gitlab.com/gitlab-org/gitlab/-/issues/355735)
      - [Add an **Assign yourself** button to the **Reviewers** section in the merge request sidebar](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/103059)
      - [Add a **Search Within** token to issues list search](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106011)
      - [Selecting an Insights custom analytics report does not retain your selection](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105180)
      - [Add a `CI_ENVIRONMENT_NAME` variable to rules](https://gitlab.com/gitlab-org/gitlab/-/issues/35315)
      - [Explicitly respond with an error when an agent cannot be found](https://gitlab.com/gitlab-org/cluster-integration/gitlab-agent/-/issues/274)
      - [Configure connection headers using a command-line argument](https://gitlab.com/gitlab-org/charts/gitlab-agent/-/issues/18)
      - [Allow sorting by health status in the issue list](https://gitlab.com/gitlab-org/gitlab/-/issues/377841)
      - [Improve the error messaging when fetching remote includes is timing out](https://gitlab.com/gitlab-org/gitlab/-/issues/351168)
      - [Add a GET endpoint for merge trains on a branch](https://gitlab.com/gitlab-org/gitlab/-/issues/381068)
      - [Improve push performance through upstream Git `receive-pack` optimizations](https://gitlab.com/gitlab-org/gitaly/-/issues/4349)
